.TH sane 7 "19 Apr 2003" "@PACKAGEVERSION@" "SANE Scanner Access Now Easy"
.IX sane

.SH NAME
sane \- Scanner Access Now Easy: API for accessing scanners

.SH DESCRIPTION
.B SANE
is an application programming interface (API) that provides standardized
access to any raster image scanner hardware. The standardized interface makes
it possible to write just one driver for each scanner device instead of one
driver for each scanner and application.

While
.B SANE
is primarily targeted at a UNIX environment, the standard has been carefully
designed to make it possible to implement the API on virtually any hardware or
operating system.
.PP
This manual page provides a summary of the information available about
.BR SANE .
.PP
If you have trouble getting your scanner detected, read the PROBLEMS section.

.SH TERMINOLOGY

An application that uses the 
.B SANE
interface is called a 
.B SANE frontend.
A driver that implements the 
.B SANE
interface is called a
.B SANE backend.
A 
.B meta backend
provides some means to manage one or more other backends.


.SH "SOFTWARE PACKAGES"
The package 
.RB ` sane-backends '
contains a lot of backends, documentation (including the 
.B SANE
standard), networking support, and the command line frontend 
.RB ` scanimage '.
The frontends 
.RB ` xscanimage "', `" xcam "', and `" scanadf '
are included in the package
.RB ` sane-frontends '. 
Both packages can be downloaded from the
.B SANE
homepage 
.RI ( http://www.mostang.com/sane/ ).
Information about other frontends and backends can be found on the frontend
page
.RI ( http://www.mostang.com/sane/frontends.html ).

.SH "GENERAL INFORMATION"
The following sections provide short descriptions and links to more
information about several aspects of
.B SANE.
A name with a number in parenthesis (e.g. 
.RB ` sane\-dll (5)')
points to a manual page. In this case 
.RB ` "man 5 sane\-dll" '
will display the page. Entries like
.RI ` @DOCDIR@/sane.tex '
are references to text files that were copied to the
.B SANE
documentation directory 
.RI ( @DOCDIR@/ )
during installation. Everything else is a URL to a resource on the web.

.TP 2
.B SANE homepage
Information on all aspects of SANE including a tutorial and a link to the SANE FAQ
can be found on the SANE homepage:
.IR http://www.mostang.com/sane/ .
.TP
.B SANE device lists
The 
.B SANE
device lists contain information about the status of 
.B SANE
support for a specific device. If your scanner is not listed there (either
supported or unsupported), please contact us. See section HOW CAN YOU HELP
SANE for details. There are lists for specific releases of SANE, for the
current development version and a search engine:
.IR http://www.mostang.com/sane/sane-supported-devices.html .
The lists are also installed on your system at @DOCDIR@/.
.TP
.B SANE mailing list
There is a mailing list for the purpose of discussing the SANE standard and
its implementations: sane-devel.  Despite its name, the list is not only
intended for developers, but also for users. Since this is currently the only
mailing list devoted to SANE, it's perfectly OK to ask questions that are not
strictly related to SANE development. How to subscribe and unsubscribe:
.IR http://www.mostang.com/sane/mail.html .
.TP
.B SANE IRC channel
The IRC (Internet Relay Chat) channel #sane can be found on the Freenode
network (irc.freenode.net). It's for discussing 
.B SANE
problems, talking about development and general 
.B SANE
related chatting. Before asking for help, please read the other documentation
mentioned in this manual page.
.TP
.B Compiling and installing SANE
Look at
.I  @DOCDIR@/README
and the os-dependent README files for information about compiling and
installing
.B SANE.
.TP
.B SCSI configuration
For information about various systems and SCSI controllers see
.BR sane\-scsi (5).
.TP
.B USB configuration
For information about USB configuration see
.BR sane\-usb (5).

.SH "FRONTENDS AND MISCELLANEOUS PROGRAMS"
.TP 2
.B scanimage
Command-line frontend. See 
.BR scanimage (1).
.TP
.B saned
.B SANE
network daemon that allows remote clients to access image acquisition devices
available on the local host. See 
.BR saned (1).
.TP
.B sane-find-scanner
Command-line tool to find SCSI and USB scanners and determine their Unix
device files. See
.BR sane-find-scanner (1).
.PP
Also, have a look at the
.B sane-frontends
package (including
.BR xscanimage ", " xcam ", and " scanadf )
and the frontend information page at
.IR http://www.mostang.com/sane/sane-frontends.html .

.SH "BACKENDS FOR SCANNERS"
.TP 2
.B abaton
The SANE backend for Abaton flatbed scanners supports the Scan 300/GS (8bit,
256 levels of gray) and the Scan 300/S (black and white, untested). See
.BR sane\-abaton (5)
for details.
.TP
.B agfafocus
This backend supports AGFA Focus scanners and the Siemens S9036 (untested).
See
.BR sane\-agfafocus (5)
for details.
.TP
.B apple
The SANE backend for Apple flatbed scanners supports the following scanners:
AppleScanner, OneScanner and ColorOneScanner. See
.BR sane\-apple (5)
for details.
.TP
.B artec
The SANE Artec backend supports several Artec/Ultima SCSI flatbed scanners as
well as the BlackWidow BW4800SP and the Plustek 19200S. See
.BR sane\-artec (5)
for details.
.TP
.B artec_eplus48u
The SANE artec_eplus48u backend supports the scanner Artec E+ 48U and re-badged
models like Tevion MD 9693, Medion MD 9693, Medion MD 9705 and Trust Easy
Webscan 19200. See
.BR sane\-artec_eplus48u (5)
for details.
.TP
.B as6e
This is a SANE backend for using the Artec AS6E parallel port interface
scanner. See
.BR sane\-as6e (5)
for details.
.TP
.B avision
This backend supports several Avision based scanners. This includes the
original Avision scanners (like AV 630, AV 620, ...) as well as the HP
ScanJet 53xx and 74xx series, Fujitsu ScanPartner, some Mitsubishi and
Minolta film-scanners.
See 
.BR sane\-avision (5)
for details.
.TP
.B bh
The bh backend provides access to Bell+Howell Copiscan II series document
scanners. See
.BR sane\-bh (5)
for details.
.TP
.B canon
The canon backend supports the CanoScan 300, CanoScan 600, and CanoScan
2700F SCSI flatbed scanners. See
.BR sane\-canon (5)
for details.
.TP
.B canon630u
The canon630u backend supports the CanoScan 630u and 636u USB scanners.  See
.BR sane\-canon630u (5)
for details.
.TP
.B canon_pp
The canon_pp backend supports the CanoScan FB330P, FB630P, N340P and N640P
parallel port scanners.  See
.BR sane\-canon_pp (5)
for details.
.TP
.B coolscan
This is a SANE backend for Nikon Coolscan film-scanners. See
.BR sane\-coolscan (5)
for details.
.TP
.B coolscan2
This is a SANE backend for Nikon Coolscan film-scanners.
See
.BR sane\-coolscan2 (5)
or
.I http://coolscan2.sourceforge.net
for details.
.TP
.B epson
The SANE epson backend provides support for Epson SCSI, parallel port and USB
flatbed scanners. See
.BR sane\-epson (5)
for details.
.TP
.B fujitsu
The fujitsu backend provides support for Fujitsu 3091, 3093, 3096 and
fi-4340 SCSI scanners. See
.BR sane\-fujitsu (5)
for details.
.TP
.B gt68xx
The gt68xx backend provides support for scanners based on the Grandtech
GT-6801 and GT-6816 chips like the Artec Ultima 2000 and several Mustek
BearPaw CU and TA models. Some Genius, Lexmark, Medion, Packard Bell, Plustek,
and Trust scanners are also supported. See
.BR sane\-gt68xx (5)
for details.
.TP
.B hp
The SANE hp backend provides access to Hewlett-Packard ScanJet scanners which
support SCL (Scanner Control Language by HP). See
.BR sane\-hp (5)
for details.
.TP
.B hpsj5s
The SANE backend for the Hewlett-Packard ScanJet 5S scanner. See
.BR sane\-hpsj5s (5)
for details.
.TP
.B hp5400
The SANE backend for the Hewlett-Packard ScanJet 54XXC series. See
.BR sane\-hp5400 (5)
for details.
.TP
.B ibm
The SANE backend for some IBM and Ricoh SCSI scanners. See
.BR sane\-ibm (5)
for details.
.TP
.B leo
This backend supports the Leo S3 and the Across FS-1130, which is a re-badged
LEO FS-1130 scanner. See
.BR sane\-leo (5)
for details.
.TP
.B ma1509
The ma1509 backend supports the Mustek BearPaw 1200F USB flatbed scanner. See
.BR sane\-ma1509 (5)
for details.
.TP
.B matsushita
This backend supports some Panasonic KVSS high speed scanners. See
.BR sane\-matsushita (5)
for details.
.TP
.B microtek
The microtek backend provides access to the "second generation" Microtek
scanners with SCSI-1 command set. See 
.BR sane\-microtek (5)
for details.
.TP
.B microtek2
The microtek2 backend provides access to some Microtek scanners with a
SCSI-2 command set. See
.BR sane\-microtek2 (5)
for details.
.TP
.B mustek
The SANE mustek backend supports most Mustek SCSI flatbed scanners including
the Paragon and ScanExpress series and the 600 II N (non-SCSI). Some Trust
scanners are also supported. See 
.BR sane\-mustek (5)
for details.
.TP
.B mustek_pp
The mustek_pp backend provides access to Mustek parallel port flatbed
scanners. See
.BR sane\-mustek_pp (5)
for details.
.TP
.B mustek_usb
The mustek_usb backend provides access to some Mustek ScanExpress USB flatbed
scanners. See
.BR sane\-mustek_usb (5)
for details.
.TP
.B nec
The SANE nec backend supports the NEC PC-IN500/4C SCSI scanner. See
.BR sane\-nec (5)
for details.
.TP
.B pie
The pie backend provides access to Pacific Image Electronics (PIE) and Devcom
SCSI flatbed scanners. See
.BR sane\-pie (5)
for details.
.TP
.B plustek
The SANE plustek backend supports Plustek parallel port and LM983[1/2/3] based
USB flatbed scanners. Scanners using the LM983x chips include some models from
Plustek, KYE/Genius, Hewlett-Packard, Mustek, Umax, Epson, and Canon. See
.BR sane\-plustek (5)
for details.
.TP
.B ricoh
The ricoh backend provides access to the following Ricoh flatbed
scanners: IS50 and IS60. See
.BR sane\-ricoh (5)
for details.
.TP
.B s9036
The s9036 backend provides access to Siemens 9036 flatbed scanners. See
.BR sane\-s9036 (5)
for details.
.TP
.B sceptre
The sceptre backend provides access to the Sceptre S1200 flatbed scanner. See
.BR sane\-sceptre (5)
 for details.
.TP
.B sharp
The SANE sharp backend supports Sharp SCSI scanners. See
.BR sane\-sharp (5)
for details.
.TP
.B sm3600
The SANE sm3600 backend supports the Microtek ScanMaker 3600 USB scanner. See
.BR sane\-sm3600 (5)
for details.
.TP
.B snapscan
The snapscan backend supports AGFA SnapScan flatbed scanners. See
.BR sane\-snapscan (5)
for details.
.TP
.B sp15c
This backend supports the Fujitsu FCPA ScanPartner 15C flatbed scanner. See
.BR sane\-sp15c (5)
for details.
.TP
.B st400
The sane-st400 backend provides access to Siemens ST400 and ST800. See
.BR sane\-st400 (5)
for details.
.TP
.B tamarack
The SANE tamarack backend supports Tamarack Artiscan flatbed scanners. See
.BR sane\-tamarack (5)
for details.
.TP
.B teco1 teco2 teco3
The SANE teco1, teco2 and teco3 backends support some TECO scanners,
usually sold under the Relisys, Trust, Primax, Piotech, Dextra
names. See
.BR sane\-teco1 "(5), " sane\-teco2 "(5) and " sane\-teco3 (5)
for details.
.TP
.B umax
The sane-umax backend provides access to several UMAX-SCSI-scanners and some
Linotype Hell SCSI-scanners. See
.BR sane\-umax (5)
for details.
.TP
.B umax_pp
The sane-umax_pp backend provides access to Umax parallel port flatbed scanners
and the HP 3200C. See 
.BR sane\-umax_pp (5)
for details.
.TP
.B umax1200u
The sane-umax1220u backend supports the UMAX Astra 1220U (USB) flatbed scanner
(and also the UMAX Astra 2000U, sort of). See
.BR sane\-umax1220u (5)
for details.
.PP
Also, have a look at the backend information page at
.I http://www.mostang.com/sane/sane-supported-devices.html
and the list of projects in
.IR @DOCDIR@/PROJECTS .

.SH "BACKENDS FOR DIGITAL CAMERAS"
.TP 2
.B dc210
Backend for Kodak DC210 Digital Camera. See
.BR sane\-dc210 (5).
.TP
.B dc240
Backend for Kodak DC240 Digital Camera. See
.BR sane\-dc240 (5).
.TP
.B dc25
Backend for Kodak DC20/DC25 Digital Cameras. See
.BR sane\-dc25 (5).
.TP
.B dmc
Backend for the Polaroid Digital Microscope Camera. See
.BR sane\-dmc (5).
.TP
.B gphoto2
Backend for digital cameras supported by the gphoto2 library package.  (See
.I http://www.gphoto.org
for more information and a list of supported cameras.)  Gphoto2 supports over
140 different camera models.  However, please note that more development and
testing is needed before all of these cameras will be supported by
.B SANE
backend.  See
.BR sane\-gphoto2 (5).
.TP
.B qcam
Backend for Connectix QuickCam cameras. See 
.BR sane\-qcam (5).
.PP
Also, have a look at the backend information page at
.I http://www.mostang.com/sane/sane-supported-devices.html
and the list of projects in
.IR @DOCDIR@/PROJECTS .

.SH "MISCELLANEOUS BACKENDS"
.TP 2
.B dll
The sane-dll library implements a
.B SANE
backend that provides access to an arbitrary number of other
.B SANE
backends by dynamic loading. See
.BR sane\-dll (5).
.TP
.B net
The 
.B SANE
network daemon saned provides access to scanners located on different
computers in connection with the net backend. See
.BR sane\-net "(5) and " saned (1).
.TP
.B pnm
PNM image reader pseudo-backend. The purpose of this backend is primarily to
aid in debugging of
.B SANE
frontends. See
.BR sane\-pnm (5).
.TP
.B pint
Backend for scanners that use the
.B PINT
(Pint Is Not Twain) device driver.  The
.B PINT
driver is being actively developed on the OpenBSD platform, and has been
ported to a few other *nix-like operating systems. See
.BR sane\-pint (5).
.TP
.B test
The
.B SANE
test backend is for testing frontends and the
.B SANE
installation.  It provides test pictures and various test options. See
.BR sane\-test (5).
.TP
.B v4l
The sane-v4l library implements a
.B SANE
backend that provides generic access to video cameras and similar equipment
using the
.B V4L
(Video for Linux) API. See
.BR sane\-v4l (5) .
.PP
Also, have a look at the backend information page at
.I http://www.mostang.com/sane/sane-supported-devices.html
and the list of projects in
.IR @DOCDIR@/PROJECTS .

.SH "CHANGING THE TOP-LEVEL BACKEND"
By default, all 
.B SANE
backends (drivers) are loaded dynamically by the 
.B sane-dll
meta backend. If you have any questions about the dynamic loading,
read
.BR sane\-dll (5).
.B SANE
frontend can also be linked to other backends directly by copying or linking a
backend to
.B libsane.so
in
.IR @LIBDIR@ .
.PP

.SH "DEVELOPER'S DOCUMENTATION"
It's not hard to write a
.B SANE
backend. It can take some time, however. You should have basic knowledege of C
and enough patience to work through the documentation and find out how your
scanner works. Appended is a list of some documents that help to write backends
and frontends. 
.PP 
The
.B SANE
standard defines the application programming interface (API) that is used to
communicate between frontends and backends. It can be found at
.I @DOCDIR@/sane.ps
(if latex is installed on your system) and on the
.B SANE
website:
.I http://www.mostang.com/sane/html/
(HTML), or
.I http://www.mostang.com/sane/sane.ps
(Postscript).
.PP
There is some more information for programmers in
.IR @DOCDIR@/backend-writing.txt .
Most of the internal
.B SANE
routines
.RB ( sanei )
are documented using doxygen:
.IR http://sanei.meier-geinitz.de/ .
Before a new backend or frontend project is started, have a look at
.I @DOCDIR@/PROJECTS
for projects that are planned or not yet included into the
.B SANE
distribution and at the todo list:
.IR @DOCDIR@/TODO .
.PP
There are some links on how to find out about the protocol of a scanner: 
.IR http://www.meier-geinitz.de/sane/misc/develop.html .

.PP
If you start writing a backend or frontend or any other part of
.BR SANE,
please contact the sane-devel mailing list for coordination so the same work
isn't done twice.

.SH "FILES"
.TP
.I @CONFIGDIR@/*.conf
The backend configuration files.
.TP
.I @LIBDIR@/libsane-*.a
The static libraries implementing the backends.
.TP
.I @LIBDIR@/libsane-*.so
The shared libraries implementing the backends (present on systems that
support dynamic loading).
.TP
.I @DOCDIR@/*
.B SANE
documentation: The standard, READMEs, text files for backends etc.

.SH "PROBLEMS"
If your device isn't found but you know that it is supported, make
sure that it is detected by your operating system. For SCSI and USB scanners,
use the
.B sane-find-scanner
tool (see
.BR sane-find-scanner (1)
for details). It prints one line for each scanner it has detected and some
comments (#). If
.B sane-find-scanner
finds your scanner only as root but not as normal user, the permissions for
the device files are not adjusted correctly. If the scanner isn't found at all,
the operating system hasn't detected it and may need some help. Depending on
the type of your scanner, read
.BR sane\-usb (5)
or
.BR sane\-scsi (5).
If your scanner (or other device) is not connected over the SCSI bus or USB,
read the backend's manual page for details on how to set it up.
.PP

Now your scanner is detected by the operating system but not by 
.BR SANE ?
Try 
.BR "scanimage -L" .
If the scanner is not found, check that the backend's name is mentioned in
.IR @CONFIGDIR@/dll.conf .
Some backends are commented out by default. Remove the comment sign for your
backend in this case. Also some backends aren't compiled at all if one of their
prerequisites are missing. Examples include dc210, dc240, canon_pp, hpsj5s,
gphoto2, pint, qcam, v4l, net, sm3600, snapscan, pnm. If you need one of these
backends and they aren't available, read the build instructions in the 
.B README
file and the individual manual pages of the backends.
.PP

Another reason for not beeing detected by
.B scanimage -L
may be a missing or wrong configuration in the backend's configuration
file. While
.B SANE
tries to automatically find most scanners, some can't be setup correctly
without the intervention of the administrator. Also on some operating systems
auto-detection may not work. Check the backend's manual page for details.
.PP
If your scanner is still not found, try
setting the various environment variables that are available to assist in
debugging.  The environment variables are documented in the
relevant manual pages.  For example, to get the maximum amount of debug
information when testing a Mustek SCSI scanner, set environment variables
.BR SANE_DEBUG_DLL ", " SANE_DEBUG_MUSTEK ", and " SANE_DEBUG_SANEI_SCSI
to 128 and then invoke 
.B scanimage
.B -L .
The debug messages for the dll backend tell if the mustek backend was found
and loaded at all. The mustek messages explain what the mustek backend is
doing while the SCSI debugging shows the low level handling. If you can't find
out what's going on by checking the messages carefully, contact the sane-devel
mailing list for help (see REPORTING BUGS below).
.PP
Now that your scanner is found by
.BR "scanimage -L" ,
try to do a scan:
.BR "scanimage >image.pnm" .
This command starts a scan for the default scanner with default settings. All
the available options are listed by running
.BR "scanimage --help" .
If scanning aborts with an error message, turn on debugging as mentioned
above. Maybe the configuration file needs some tuning, e.g. to setup the path
to a firmware that is needed by some scanners. See the backend's maunal page
for details. If you can't find out what's wrong, contact sane-devel.
.PP
To check that the
.B SANE
libraries are installed correctly you can use the test backend, even if you
don't have a scanner or other
.B SANE
device:
.IP
.B scanimage \-d
.I test
.B \-T
.PP
You should get a list of PASSed tests. You can do the same with your backend
by changing "test" to your backend's name.
.PP
So now scanning with
.B scanimage
works and you want to use one of the graphical frontends like
.BR xsane ,
.BR xscanimage ", or"
.B quiteinsane
but those frontends don't detect your scanner? One reason may be that you
installed two versions of 
.BR SANE .
E.g. the version that was installed by your distribution in 
.I /usr
and one you installed from source in 
.IR /usr/local/ .
Make sure that only one version is installed. Another possible reason is, that
your system's dynamic loader can't find the
.B SANE
libraries. For Linux, make sure that
.I /etc/ld.so.conf
contains
.I /usr/local/lib
and does
.B not
contain
.IR /usr/local/lib/sane .
See also the documentation of the frontends.
.PP

.SH "HOW CAN YOU HELP SANE"
We appreciate any help we can get. Here are some topics on which you can work:
.TP
.B Writing backends
Without a backend, a scanner doesn't work. So it's crucial we have backends
for as much devices as possible. It's not necessary to be an experienced
programmer to start writing a backend. If you have an unsupported scanner,
writing a backend yourself is probably the only way to get it supported. See
DEVELOPER'S DOCUMENTATION for details. But first make sure that you get any
information about your scanner that is available (see below), and check if
your scanner can be supported by an already existing backend with only small
modifications.
.TP
.B Writing frontends
There are already some very capable frontends. So helping with improving the
existing frontends may make more sense than to write yet another one. On the
other hand there may be reasons to start writing a completely new frontend,
like support for a specific widget set, a programming language or a special
type of devices (e.g. cameras, slide scanners). In any case, keep the
sane-devel mailinglist informed of your plans.
.TP
.B Reporting unsupported scanners
Even if you can't write a backend for your unsupported scanner, please send us
all the information you have about it. We need the make and the model name of
your scanner. Also provide an output of
.BR "sane-find-scanner -v -v" .
For Linux: If it's a SCSI scanner, show us the output of
.BR "cat /proc/scsi/scsi" ,
for a USB scanner:
.B "cat /proc/bus/usb/devices" 
(if the file is not there, do 
.BR "mount -t usbdevfs /proc/bus/usb /proc/bus/usb" ).
See CONTACT section.
.TP
.B Reporting bugs and missing features
If you think something in
.B SANE
isn't working as it should, please don't hesiate to contact us (see COTACT
scetion). Please provide as many details as possible. Describe which software
you are using (operating system + version, distribution, version of
sane-backends and of the frontend you use). Explain exactly what doesn't work,
is wrong or missing.
.TP
.B Adding and fixing documentation
If you found a bug in any documentation (man pages, web site, READMEs), please
contact us (see CONTACT section). Also write us if you think some
documentation is missing. Please include a patch in this case, if
possible. Don't hesitate to send spelling and grammar mistakes.
.TP
.B Translations
The options of the backends can be translated. For some languages, the
translations are almost complete, but some are lacking a lot of words and for
most languages there is no translation at all. If you want to help to
translate the options to your native language (or a language you speak
fluently), contact the sane-devel mailing list and have a look at the
.I po/
directory in the source code.
.TP
.B Success reports
If you had success using 
.B SANE
we want to know about that, too. Especially if your scanner is not in the
lists yet or is marked "untested".

.SH "CONTACT"
If you want to comment on a backend-specific problem, contact the author of
your backend. Usually the email address can be found in the
.I @DOCDIR@/AUTHORS
file or the backend's manpage. If the author isn't marked as `active
maintainer' or doesn't answer, you can also contact the
.B SANE
mailing list sane-devel (see
.I http://www.mostang.com/sane/mail.html
for details). You must be subscribed to the list, otherwise your mail won't be
sent to the subscribers.
.PP
If you want to report bugs concerning security, compilation, installation,
porting, and documentation of
.BR SANE ,
you can also contact the author of this manual page:
<henning@meier-geinitz.de>.

.SH "SEE ALSO"
.BR saned (1),
.BR sane-find-scanner (1),
.BR scanimage (1),
.BR sane\-abaton (5),
.BR sane\-agfafocus (5),
.BR sane\-apple (5),
.BR sane\-artec (5),
.BR sane\-artec_eplus48u (5),
.BR sane\-as6e (5),
.BR sane\-avision (5),
.BR sane\-bh (5),
.BR sane\-canon (5),
.BR sane\-canon630u (5),
.BR sane\-canon_pp (5),
.BR sane\-coolscan2 (5),
.BR sane\-coolscan (5),
.BR sane\-dc210 (5),
.BR sane\-dc240 (5),
.BR sane\-dc25 (5),
.BR sane\-dll (5),
.BR sane\-dmc (5),
.BR sane\-epson (5),
.BR sane\-fujitsu (5),
.BR sane\-gphoto2 (5),
.BR sane\-gt68xx (5),
.BR sane\-hp (5),
.BR sane\-hpsj5s (5),
.BR sane\-hp5400 (5)
.BR sane\-ibm (5),
.BR sane\-leo (5),
.BR sane\-ma1509 (5),
.BR sane\-matsushita (5),
.BR sane\-microtek2 (5),
.BR sane\-microtek (5),
.BR sane\-mustek (5),
.BR sane\-mustek_pp (5),
.BR sane\-mustek_usb (5),
.BR sane\-nec (5),
.BR sane\-net (5),
.BR sane\-pie (5),
.BR sane\-pint (5),
.BR sane\-plustek (5),
.BR sane\-pnm (5),
.BR sane\-qcam (5),
.BR sane\-ricoh (5),
.BR sane\-s9036 (5),
.BR sane\-sceptre (5),
.BR sane\-scsi (5),
.BR sane\-sharp (5),
.BR sane\-sm3600 (5),
.BR sane\-snapscan (5),
.BR sane\-sp15c (5),
.BR sane\-st400 (5),
.BR sane\-tamarack (5),
.BR sane\-teco1 (5),
.BR sane\-teco2 (5),
.BR sane\-teco3 (5),
.BR sane\-test (5),
.BR sane\-umax1220u (5),
.BR sane\-umax (5),
.BR sane\-umax_pp (5),
.BR sane\-usb (5),
.BR sane\-v4l (5)

.SH AUTHOR
David Mosberger-Tang and many many more (see
.I @DOCDIR@/AUTHORS
for details).  This man page was written by Henning Meier-Geinitz. Quite a lot
of text was taken from the
.B SANE
standard, several man pages, and README files.
